## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanMapKeyTraits< Key > Struct Template Reference

List of all members.

## Public Types

- typedef XalanHasher< Key > Hasher
- typedef XALAN_STD_QUALIFIER
  equal_to< Key > Comparator

### template<class Key>
struct XalanMapKeyTraits< Key >

## Member Typedef Documentation

template<class Key>
typedef XALAN_STD_QUALIFIER equal_to<Key> XalanMapKeyTraits< Key >::Comparator

template<class Key>
typedef XalanHasher<Key> XalanMapKeyTraits< Key >::Hasher

The documentation for this struct was generated from the following file:

- XalanMap.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.